package com.MongoDemo.MongoSpring.repository;

import com.MongoDemo.MongoSpring.repository.model.User;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import java.util.List;

public interface UserRepository extends MongoRepository<User, String> {

    List<User> findByUserId(String userId);

    void deleteByUserId(String userId);

    @Query("{'userFirstName' : ?0}")
    List<User> findByUserFirstName(String userFirstName);
}
