package com.MongoDemo.MongoSpring.service;

import com.MongoDemo.MongoSpring.model.UserData;
import com.MongoDemo.MongoSpring.model.UserResponse;
import com.MongoDemo.MongoSpring.repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class UserService {
    @Autowired
    private UserRepository userRepository;

    public UserResponse getAllUsers() {
        UserResponse response = new UserResponse();
        List<UserData> users = new ArrayList<>();

        userRepository.findAll().forEach(user -> {
            UserData data = new UserData();

            data.setFirstName(user.getFirstName());
            data.setLastName(user.getLastName());

            users.add(data);
        });

        response.setUsers(users);
        return response;
    }
}
